# Slow motion module, play back a fraction of the input video at a slow speed

mod_lwslomo
{
    name          = SloMo
    deterministic = true
    group         = Custom 
    xpm	          = zslomo.xpm
    author        = binarymillenium
    version       = 0.1 
}

inputs
{
    frame 
    {
       name  	         = Image
       type              = typ_FrameBufferType
       const             = true
       strong_dependency = true
    }

	slowframes
	{
		name              = NumberOfSlowFrames
			type              = typ_NumberType
        widget_type             = number_selector
			const             = true
			strong_dependency = true
			hidden            = true
			lower_bound       = 2
			higher_bound      = 30
			step_size         = 1
			default           = 5
			help              = threshold
	}


	length
	{
		name              = Length
			type              = typ_NumberType
        widget_type             = number_selector
			const             = true
			strong_dependency = true
			hidden            = true
			lower_bound       = 0
			higher_bound      = 20
			step_size         = 1
			default           = 3
			help              = threshold
	}
}

outputs
{
    ave
    {
       name              = Slow
       type              = typ_FrameBufferType
    }
}
