#ifndef INCLUDED_ZSLOMO_H
#define INCLUDED_ZSLOMO_H

#ifdef __cplusplus
extern "C"
{
#endif
#include "dllmodule.h"
#include "framebuffertype.h"
#include "numbertype.h"

struct _MyInstance;
typedef struct _Instance
{
struct _MyInstance* my;
 FrameBufferType* in_frame ;
 NumberType* in_slowframes;
 NumberType* in_length;
 FrameBufferType* out_ave;
} Instance, *InstancePtr;
enum Inputs { in_frame  = 0, in_slowframes = 1, in_length = 2 };
enum Outputs { out_ave = 0 };

struct _MyInstance* construct(void);
void destruct(struct _MyInstance*);
int init(logT log_function);
#ifdef __cplusplus
}
#endif

#endif
